#popup-cashback {
    position: fixed;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
    background: #fff;
    border-radius: 1rem;
    padding: 0.5rem;
    box-shadow: 0 0 15px rgba(0,0,0,0.2);
    min-width: 260px;
    z-index: 999;
    transition: transform 0.5s ease, opacity 0.5s ease;
    opacity: 0;
    pointer-events: none;
    cursor: pointer;
}

#popup-cashback.show {
    opacity: 1;
    pointer-events: all;
}

#popup-cashback.closed {
    opacity: 0;
    pointer-events: none;
    transform: translateX(100%) translateY(-50%);
}

#popup-cashback .popup-content {
    background: #F7F7F7;
    border-radius: 5px;
    /*width: 100%;*/
    padding: 1.5rem;
    /*min-width: 320px;*/
    /*min-height: 120px;*/
}



#popup-cashback .popup-content p {
    font-size: 16px;
    font-weight: 500;
    text-align: center;
}


.popup-close-button {
    position: absolute;
    top: 0.5rem;
    right: 0.5rem;
    font-size: 22px;
    font-weight: bold;
    cursor: pointer;
    color: #1d227c;
    text-align: center;
    line-height: 18px;
    display: inline-block;
    width: 34px;
    height: 34px;
    background: rgba(0,0,0,0);
    transition: .3s;
    border-radius: 0.25rem;
    padding: 5px;
}
.popup-close-button:hover {
    background: rgba(0,0,0,.05);
}


#popup-cashback.closed {
    opacity: 0;
    pointer-events: none;
    transform: translateX(100%) translateY(-50%);
}


@media only screen and (max-width: 768px) {

    #popup-cashback {
        top: auto;
        bottom: 20px;
        left: 20px;
        right: auto;
        transform: translateX(-120%) translateY(0);
        min-width: 120px;
    }

    #popup-cashback.show {
        transform: translateX(0) translateY(0);
    }


    #popup-cashback.closed {
        transform: translateX(-120%) translateY(0);
    }

}

@media only screen and (max-width: 500px) {

    #cashback-sticky-body {
        background: linear-gradient(to right, #F7A440, #F7931E, #F77C00);
    }

    .popup-header {
        font-size: 13px;
    }

    .sticky-close-button {
        font-size: 22px;
    }
}

@media only screen and (max-width: 400px) {

    .cashback-sticky-header {
        font-size: 12px;
    }
    .popup-header {
        font-size: 12px;
    }
}
